package org.dromara.system.service;

import org.dromara.common.core.domain.R;
import org.dromara.system.domain.StudentInfo;
import org.dromara.system.domain.vo.StudentInfoVo;
import org.dromara.system.domain.bo.StudentInfoBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 学生档案信息Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface IStudentInfoService {

    /**
     * 查询学生档案信息
     */
    StudentInfoVo queryById(Long id);

    /**
     * 查询学生档案信息列表
     */
    TableDataInfo<StudentInfoVo> queryPageList(StudentInfoBo bo, PageQuery pageQuery);

    /**
     * 查询学生档案信息列表
     */
    List<StudentInfoVo> queryList(StudentInfoBo bo);

    /**
     * 新增学生档案信息
     */
    R<Void> insertByBo(StudentInfoBo bo);

    /**
     * 修改学生档案信息
     */
    Boolean updateByBo(StudentInfoBo bo);

    /**
     * 校验并批量删除学生档案信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    R<Map<String, Object>> statistics(StudentInfoBo bo);
}
